%DOCUMENT CLASS for LaTeX2e
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%%%   
% \changes{v1.0b}{2007/05/07}{Better column spacing in abstract box}
% \changes{v1.0c}{2007/05/08}{New finallayout and nopubldata options, 
%   analogously to \pkg{w-art.sty}}
% \changes{v1.0d}{2007/11/29}{Cooperation with contprev-issue package:
%   if package is available, \cs{toaWWWbox} will use one of
%   wislogo-grey.eps/pdf as its logo if option 2c is given,
%   wislogo-4c.eps/pdf otherwise (package default). In the latter 
%   case, coloured elements of the "Contents" will get real colour 
%   instead of grey.
%   If contprev is 
%   not available, wislogo.eps/pdf will be used and coloured elements 
%   will be printed grey.}
% \changes{v1.0e}{2007/12/01}{Package \pkg{xcolor} used instead of \pkg{color}
%   for better compatibility with \pkg{contprev}.}%
% \changes{v1.0f}{2008/08/15}{":" on left pages disappears, 
%   \authorrunning is empty.}%
% \changes{v1.1}{2010/01/13}{Early View output repaired.}%
% \changes{v1.1a}{2010/02/03}{Bugfix}%
%%%    
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
% \ProvidesClass{wiley2sp}[2005/11/18 v1.0 % MJK 2005-11-18%]
\ProvidesClass{issue}[2010/02/11 v1.1c % -MWL-
  LaTeX document class for Wiley Laser Physics Letters twocolumn -MWL-]%
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{fleqn}{\input{fleqn.clo}\AtEndOfClass{\mathindent\z@}}
\DeclareOption{leqno}{\input{leqno.clo}}%
\let\if@mathematic\iftrue
\let\if@numbook\iffalse
\DeclareOption{numbook}{%
  \let\if@envcntsect\iftrue
  \AtEndOfPackage{%
   \renewcommand\thefigure{\thesection.\@arabic\c@figure}%
   \renewcommand\thetable{\thesection.\@arabic\c@table}%
   \renewcommand\theequation{\thesection.\@arabic\c@equation}%
   \@addtoreset{figure}{section}%
   \@addtoreset{table}{section}%
   \@addtoreset{equation}{section}%
  }%
}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
% 
% 
% Anpassungen fuer "EarlyView"
%
% geschrieben von A.T.M.Toalster fuer Steingraeber Satztechnik GmbH
% 21.7.2004
%
\newif\if@earlyview
\DeclareOption{earlyview}{\@earlyviewtrue\@finallayouttrue}
%
% Ende (dieses Teils) der Earlyview-Anpassungen
%
\let\if@runhead\iffalse
\DeclareOption{runningheads}{\let\if@runhead\iftrue}
\let\if@smartrunh\iffalse
\DeclareOption{smartrunhead}{\let\if@smartrunh\iftrue}
\DeclareOption{nosmartrunhead}{\let\if@smartrunh\iffalse}
\let\if@envcntreset\iffalse
\DeclareOption{envcountreset}{\let\if@envcntreset\iftrue}
\let\if@envcntsame\iffalse
\DeclareOption{envcountsame}{\let\if@envcntsame\iftrue}
\let\if@envcntsect\iffalse
\DeclareOption{envcountsect}{\let\if@envcntsect\iftrue}
\let\if@referee\iffalse
\DeclareOption{referee}{\let\if@referee\iftrue}
\def\makereferee{\def\baselinestretch{2}}
\let\if@instindent\iffalse
\DeclareOption{instindent}{\let\if@instindent\iftrue}
\let\if@smartand\iffalse
\DeclareOption{smartand}{\let\if@smartand\iftrue}
\let\if@spthms\iftrue
\DeclareOption{nospthms}{\let\if@spthms\iffalse}
\let\switch@texts\relax
%\DeclareOption{deutsch}{\def\switch@texts{\ds@deutsch}}
%\DeclareOption{francais}{\def\switch@texts{\ds@francais}}
% 
\newif\if@finallayout
\DeclareOption{finallayout}{\@finallayouttrue}
\DeclareOption{final}{\setlength\overfullrule{0pt}\@finallayouttrue}
\DeclareOption{nopubldata}{\@finallayoutfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}\@finallayoutfalse}
%
\let\journalopt\@empty
\DeclareOption*{\InputIfFileExists{\CurrentOption.clo}{%
\let\journalopt\CurrentOption}{%
\ClassWarning{issue}{Specified option or subpackage
"\CurrentOption" not found -}\OptionNotUsed}}
% 
% Abschlie\ss{}end werden die Defaultoptionen eingestellt und die
% Optionsliste abgearbeitet.
%    \begin{macrocode}
\ExecuteOptions{final,nopubldata,twocolumn,fleqn,a4paper,twoside,10pt,instindent}%
\ProcessOptions\relax%
%    \end{macrocode}
% 
%    \begin{macrocode}
\RequirePackage{calc}% -MWL- 2006-09-07
%    \end{macrocode}
% \changes{v1.0d}{2007/12/01}{Package \pkg{xcolor} used instead of \pkg{color}
%   for better compatibility with \pkg{contprev}.}%
%    \begin{macrocode}
\RequirePackage{xcolor}
\RequirePackage{graphicx}
%    \end{macrocode}
%
\if@smartrunh\AtEndDocument{\islastpageeven\getlastpagenumber}\fi
%
\DeclareMathSymbol{\Gamma}{\mathalpha}{letters}{"00}
\DeclareMathSymbol{\Delta}{\mathalpha}{letters}{"01}
\DeclareMathSymbol{\Theta}{\mathalpha}{letters}{"02}
\DeclareMathSymbol{\Lambda}{\mathalpha}{letters}{"03}
\DeclareMathSymbol{\Xi}{\mathalpha}{letters}{"04}
\DeclareMathSymbol{\Pi}{\mathalpha}{letters}{"05}
\DeclareMathSymbol{\Sigma}{\mathalpha}{letters}{"06}
\DeclareMathSymbol{\Upsilon}{\mathalpha}{letters}{"07}
\DeclareMathSymbol{\Phi}{\mathalpha}{letters}{"08}
\DeclareMathSymbol{\Psi}{\mathalpha}{letters}{"09}
\DeclareMathSymbol{\Omega}{\mathalpha}{letters}{"0A}
%
\setlength\parindent{15\p@}
\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\headheight{12\p@}%12
\setlength\headsep   {16.74dd}
\setlength\topskip   {10\p@}
\setlength\footskip{30\p@}
\setlength\maxdepth{.5\topskip}
%
\@settopoint\textwidth
\setlength\marginparsep {10\p@}
\setlength\marginparpush{5\p@}
\setlength\topmargin{-10pt}
\if@twocolumn
   \setlength\oddsidemargin {-30\p@}
   \setlength\evensidemargin{-30\p@}
\else
   \setlength\oddsidemargin {\z@}
   \setlength\evensidemargin{\z@}
\fi
\setlength\marginparwidth  {48\p@}
\setlength\footnotesep{8\p@}
\setlength{\skip\footins}{9\p@ \@plus 4\p@ \@minus 2\p@}
\setlength\floatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\textfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\intextsep   {20\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dblfloatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\@fptop{0\p@}
\setlength\@fpsep{12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@}
\setlength\@dblfpsep{12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
\def\@listi{\leftmargin\leftmargini
            \parsep \z@
            \topsep 6\p@ \@plus2\p@ \@minus4\p@
            \itemsep\parsep}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    \z@
              \parsep    \topsep
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    \z@
              \parsep    \topsep
              \itemsep   \parsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}
%
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{4}
\renewcommand\topfraction{.9}
\setcounter{bottomnumber}{2}
\renewcommand\bottomfraction{.7}
\setcounter{totalnumber}{6}
\renewcommand\textfraction{.1}
\renewcommand\floatpagefraction{.85}
\setcounter{dbltopnumber}{3}
\renewcommand\dbltopfraction{.85}
\renewcommand\dblfloatpagefraction{.85}
\def\ps@headings{%
    \let\@oddfoot\@empty
    \let\@evenfoot\@empty
    \def\@evenhead{\small\rlap{\thepage}\hfil\leftmark\unskip}%
    \def\@oddhead{\small\rightmark\hfil\llap{\thepage}}%
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
    }
% make indentations changeable
\def\setitemindent#1{\settowidth{\labelwidth}{#1}%
        \leftmargini\labelwidth
        \advance\leftmargini\labelsep
   \def\@listi{\leftmargin\leftmargini
        \labelwidth\leftmargini\advance\labelwidth by -\labelsep
        \parsep=\parskip
        \topsep=\medskipamount
        \itemsep=\parskip \advance\itemsep by -\parsep}}
\def\setitemitemindent#1{\settowidth{\labelwidth}{#1}%
        \leftmarginii\labelwidth
        \advance\leftmarginii\labelsep
\def\@listii{\leftmargin\leftmarginii
        \labelwidth\leftmarginii\advance\labelwidth by -\labelsep
        \parsep=\parskip
        \topsep=\z@
        \itemsep=\parskip \advance\itemsep by -\parsep}}
% labels of description
\def\descriptionlabel#1{\hspace\labelsep #1\hfil}
% adjusted environment "description"
% if an optional parameter (at the first two levels of lists)
% is present, its width is considered to be the widest mark
% throughout the current list.
\def\description{%
  \@ifnextchar[%]
   {\@describe}%
   {\list{}{\labelwidth\z@
     \itemindent-\leftmargin \let\makelabel\descriptionlabel}}}
\let\enddescription\endlist
%
\def\describelabel#1{#1\hfil}
\def\@describe[#1]{\relax\ifnum\@listdepth=0
\setitemindent{#1}\else\ifnum\@listdepth=1
\setitemitemindent{#1}\fi\fi
\list{--}{\let\makelabel\describelabel}}
%
\newdimen\logodepth
\logodepth=2.2cm
\newdimen\headerboxheight
\headerboxheight=180pt % 18 10.5dd-lines - 2\baselineskip
\newdimen\betweenumberspace          % dimension for space between
\betweenumberspace=3.33pt            % number and text of titles.
\newdimen\aftertext                  % dimension for space after
\aftertext=5pt                       % text of title.
\newdimen\headlineindent             % dimension for space between
\headlineindent=1.166cm              % number and text of headings.
\def\andname{and}
\if@mathematic
   \def\runinend{\enspace}
   \def\floatcounterend{\enspace}
   \def\sectcounterend{}
\else
   \def\runinend{.}
   \def\floatcounterend{.\ }
   \def\sectcounterend{.}
\fi
\def\lastandname{, and}
\def\mailname{Corresponding author:}
\def\email#1{{e-mail: #1}}
\def\keywordname{{\bfseries Key words:}\enspace}
\def\keywords#1{\gdef\@keywords{#1}}
\def\@keywords{}
\def\setkeywords{%
  \ifx\@keywords\@empty\else
    \par\addvspace\baselineskip\noindent\keywordname
    \ignorespaces\@keywords
  \fi
}
\def\receivedname{{\normalfont Received:}\ }
\def\received#1{\gdef\@received{#1}}
\def\@received{}
\def\setreceived{%
  \ifx\@received\@empty\else
    \par\noindent\receivedname
    \ignorespaces\@received
  \fi
}
\def\publishedname{{\normalfont Published online:}\ }
\def\published#1{\gdef\@published{#1}}
\def\@published{}
\def\setpublished{%
  \ifx\@published\@empty\else
    \par\noindent\publishedname
    \ignorespaces\@published
  \fi
}
% \def\pacsname{{\bfseries PACS:}\enspace}
% \def\pacs#1{\gdef\@pacs{#1}}
% \def\@pacs{}
% \def\setpacs{%
%   \ifx\@pacs\@empty\else
%     \par\addvspace\baselineskip\noindent\pacsname
%     \ignorespaces\@pacs
%   \fi
% }
\def\keywords@pacs{%
  \@tempswafalse
  \ifx\@keywords\@empty
%   \ifx\@pacs\@empty\else\@tempswatrue\fi
  \else\@tempswatrue\fi
  \if@tempswa
    \par\addvspace{\baselineskip}%
    \noindent{\color{rulecolor}\rule{\textwidth}{2pt}}%
    \normalcolor
    \setkeywords
%     \setpacs
    \par\addvspace{\ht\strutbox}%
    \noindent{\color{rulecolor}\rule{\textwidth}{2pt}}\par
  \fi
}
%
\newcounter{inst}
\newcounter{auth}
\def\authdepth{2}
\newdimen\instindent
\newbox\authrun
\newtoks\authorrunning
\newbox\titrun
\newtoks\titlerunning
\def\authorfont{\itshape}%hhh

\def\combirunning#1{\gdef\@combi{#1}}
\def\@combi{}
\newbox\combirun
%
\def\ps@last{\def\@evenhead{\small\rlap{\thepage}\hfil
\lastevenhead}}
\newcounter{lastpage}
\def\islastpageeven{\@ifundefined{lastpagenumber}
{\setcounter{lastpage}{0}}{\setcounter{lastpage}{\lastpagenumber}}
\ifnum\value{lastpage}>0
   \ifodd\value{lastpage}%
   \else
      \if@smartrunh
         \thispagestyle{last}%
      \fi
   \fi
\fi}
\def\getlastpagenumber{\clearpage
\addtocounter{page}{-1}%
   \immediate\write\@auxout{\string\gdef\string\lastpagenumber{\thepage}}%
   \immediate\write\@auxout{\string\newlabel{LastPage}{{}{\thepage}}}%
   \addtocounter{page}{1}}

% 
\newcommand{\journalname}[3]{%
  \def\abbr@journalname{#1}%
  \def\short@journalname{#2}%
  \def\long@journalname{#3}}
\journalname{lapl}{Laser Phys. Lett.}{Laser Physics Letters}% -MWL-
%   
\newcommand{\journalurl}[1]{\def\journal@url{#1}}
%
\def\@publisherlogo{\includegraphics*[height=5.5mm]{wislogo}}% -MWL- 2007-01-08
\def\@journallogo{\lower5pt\hbox{\includegraphics*{logo7pt}}}% -MWL- 2007-01-08
%
\def\dedication#1{\gdef\@dedic{#1}}
\def\@dedic{}

\let\@date\@empty

\def\institute#1{\gdef\@institute{#1}}

\def\institutename{\par
 \begingroup
 \parindent=0pt
 \parskip=0pt
 \setcounter{inst}{1}%
 \def\and{\par\stepcounter{inst}%
 \if@instindent\hangindent\instindent\fi
 \noindent
 %\hbox to\instindent{\hss\smash{$^{\theinst}$}\enspace}\ignorespaces}%
 \hbox%hhh
{$^{\theinst}$\,}\ignorespaces}%
 \setbox0=\vbox{\def\thanks##1{}\@institute}
 \ifnum\value{inst}>9\relax\setbox0=\hbox{$^{88}$\enspace}%
                 \else\setbox0=\hbox{$^{8}$\enspace}\fi
 \instindent=\wd0\relax
 \ifnum\value{inst}=1\relax
 \else
   \setcounter{inst}{1}%
   \if@instindent\hangindent\instindent\fi
   \noindent
   \hbox%hhh
{$^{\theinst}$\,}\ignorespaces
 \fi
 \small
 \ignorespaces
 \@institute\par
 \endgroup}

\def\offprints#1{\begingroup
\def\protect{\noexpand\protect\noexpand}\xdef\@thanks{\@thanks
\protect\footnotetext[0]{\unskip\hskip-15pt{\itshape Send offprint requests
to\/}: \ignorespaces#1}}\endgroup\ignorespaces}

\def\mail#1{\gdef\@mail{#1}}
\def\@mail{}

\def\@thanks{}

\def\@fnsymbol#1{\ifcase#1\or\star\or{\star\star}\or{\star\star\star}%
   \or \dagger\or \ddagger\or
   \mathchar "278\or \mathchar "27B\or \|\or **\or \dagger\dagger
   \or \ddagger\ddagger \else\@ctrerr\fi\relax}

\def\inst#1{\unskip\,$^{#1}$}
\def\fnmsep{\unskip$^,$}

\def\subtitle#1{\gdef\@subtitle{#1}}
\def\@subtitle{}

\def\headnote#1{\gdef\@headnote{\normalfont\small#1}}%%%hhh
\def\@headnote{}
% \def\abstract#1{\gdef\@abstract{\small{\bf Abstract:} #1}}%%%hhh
\def\abstract#1{\gdef\@abstract{\def\runinend{:~}\small{\bfseries\abstractname} #1}}%%%-MWL-
\def\@abstract{}
\let\endabstract\relax

\newcommand*{\titlefigure}[2][clip,width=\linewidth]{%
  \gdef\@titlefigure{%
    \parbox[t]{\columnwidth-\fboxsep}{%
      \raisebox{1.2ex-\totalheight}[1.2ex-\figcapgap][\totalheight]{%
        \includegraphics[#1]{#2}}}}}%
\def\@titlefigure{~}%

\def\titlefigurecaption#1{\gdef\@titlefigurecaption{\small #1}}
\def\@titlefigurecaption{}

\def\ch@ckobl#1#2{\@ifundefined{@#1}
 {\typeout{Warning: Missing
\expandafter\string\csname#1\endcsname}%
  \csname #1\endcsname{#2}}
 {}}
%
\def\ProcessRunnHead{%
    \def\\ {\unskip\ \ignorespaces}\def\inst##1{\unskip{}}%
    \def\thanks##1{\unskip{}}\def\fnmsep{\unskip}%
    \instindent=\textwidth
    \advance\instindent by-\headlineindent
    \if!\the\titlerunning!\else
      \edef\@title{\the\titlerunning}%
    \fi
    \global\setbox\titrun=\hbox{\small\rmfamily\unboldmath\ignorespaces\@title
                                \unskip}%
    \ifdim\wd\titrun>\instindent
       \typeout{^^JWarning: Title too long for running head.}%
       \typeout{Please supply a shorter form with \string\titlerunning
                \space prior to \string\maketitle}%
       \global\setbox\titrun=\hbox{\small\rmfamily
       Title Suppressed Due to Excessive Length}%
    \fi
    \xdef\@title{\copy\titrun}%
%
    \if!\the\authorrunning!
    \else
      \setcounter{auth}{1}%
      \edef\@author{\the\authorrunning}%
    \fi
    \ifnum\value{auth}>\authdepth
       \def\stripauthor##1\and##2\endauthor{%
       \protected@xdef\@author{##1\unskip\unskip\if!##2!\else\ et al.\fi}}%
       \expandafter\stripauthor\@author\and\endauthor
    \else
       \gdef\and{\unskip, \ignorespaces}%
       {\def\and{\noexpand\protect\noexpand\and}%
       \protected@xdef\@author{\@author}}
    \fi
    \global\setbox\authrun=\hbox{\small\rmfamily\unboldmath\ignorespaces
                                 \@author\unskip}%
    \ifdim\wd\authrun>\instindent
    \typeout{^^JWarning: Author name(s) too long for running head.
             ^^JPlease supply a shorter form with \string\authorrunning
             \space prior to \string\maketitle}%
    \global\setbox\authrun=\hbox{\small\rmfamily Please give a shorter version
          with: {\tt\string\authorrunning\space and
             \string\titlerunning\space prior to \string\maketitle}}%
    \fi
    \xdef\@author{\copy\authrun}%
    \markboth{\@author}{\@title}%
}
%
\def\maketitle{\par
% \ch@ckobl{journalname}{Noname}
%\ch@ckobl{date}{The date of receipt and acceptance will be inserted by
%the editor}
\ch@ckobl{title}{A title should be given}
\ch@ckobl{author}{Name(s) and initial(s) of author(s) should be given}
\ch@ckobl{institute}{Address(es) of author(s) should be given}
\ch@ckobl{titlefigure}{Titlefigure should be given}
\ch@ckobl{abstract}{Abstract should be given}
\begingroup
%
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{$^{\@thefnmark}$}%
%
 \def\lastand{\ifnum\value{inst}=2\relax
                 \unskip{} \andname\
              \else
                 \unskip, \andname\
              \fi}%
 \def\and{\stepcounter{auth}\relax
          \if@smartand
             \ifnum\value{auth}=\value{inst}%
                \lastand
             \else
                \unskip,
             \fi
          \else
             \unskip,
          \fi}%
 \ifnum \col@number=\@ne
   \@maketitle
 \else
   \twocolumn[\@maketitle]%
 \fi
% \thispagestyle{empty}
 \global\@topnum\z@
 \@thanks
% \if!\@mail!\else
%    \footnotetext[0]{\kern-\bibindent\mailname\
%    \ignorespaces\@mail}%
% \fi
%
 \if@runhead
    \ProcessRunnHead
    \if@smartrunh
       \instindent=\textwidth
       \advance\instindent by-\headlineindent
       \if!\@combi!%
          \global\setbox\combirun=\hbox{\small\rmfamily\unboldmath\ignorespaces
                                        \@author\unskip: \@title\unskip}%
          \def\@tempa{Automatically generated running head}%
       \else
          \global\setbox\combirun=\hbox{\small\rmfamily\unboldmath\ignorespaces
                                        \@combi\unskip}%
          \def\@tempa{With \string\combirunning\space supplied running head}%
       \fi
       \ifdim\wd\combirun>\instindent
          \typeout{^^JWarning: \@tempa}%
          \typeout{for a possible last even numbered page is too long.}%
          \typeout{Please supply a shorter form with \string\combirunning
                   \space prior to \string\maketitle.}%
          \global\setbox\combirun=\hbox{\small\rmfamily
          Title Suppressed Due to Excessive Length --
          supply \ttfamily\char92combirunning}%
       \fi
       \xdef\lastevenhead{\copy\combirun}%
    \fi
 \fi
%
 \endgroup
 \setcounter{footnote}{0}
 \global\let\thanks\relax
 \global\let\maketitle\relax
 \global\let\@maketitle\relax
 \global\let\@thanks\@empty
 \global\let\@author\@empty
 \global\let\@date\@empty
 \global\let\@title\@empty
 \global\let\@subtitle\@empty
 \global\let\title\relax
 \global\let\author\relax
 \global\let\date\relax
 \global\let\and\relax
 \enlargethispage{-1.1\baselineskip}% MJK 2005-11-21
%  \if@twocolumn\afterpage{\enlargethispage{-1.1\baselineskip}}\fi% MJK 2005-11-21
  \if@twocolumn% MJK 2009-06-09
    \let\saved@outputdblcol\@outputdblcol
    \gdef\@outputdblcol{%
      \if@firstcolumn
        \saved@outputdblcol
        \enlargethispage{-1.1\baselineskip}%
      \else
        \setbox\@outputbox\vbox to \ht\@leftcolumn{%
          \vss\box\@outputbox
%           \kern-\dp\strutbox% MWL 2009-06-19 Spalte zu lang
          }%
        \saved@outputdblcol
        \global\let\@outputdblcol\saved@outputdblcol
      \fi
    }%
  \fi% end of MJK 2009-06-09
}
% \RequirePackage{afterpage}% MJK 2005-11-11

\def\makeheadbox{%
}

\def\titlefont{\normalfont}
\definecolor{abstractcolor}{gray}{0.7}
\definecolor{rulecolor}{gray}{0.7}
% 
\def\abstractcaptionminskip{
  \vspace{\baselineskip}%
  \vfill
}
% 
\def\titlefigurecaptionminskip{
  \vfill
}
%%% 
% 
% Die folgenden beiden Makros setzen den Text im Abstract
% ohne bzw. mit Legende darunter:
% 
\def\@setabstractpart{% Text ohne Abb.-Legende
  \parbox[t]{\columnwidth-\fboxsep}{\@abstract}%
}
%
\newcommand*{\@setxabstractpart}[1][]{% Text mit Abb.-Legende darunter
  \ifx!#1!
    \def\@tempa{\parbox[t]}%
  \else
    \def\@tempa{\parbox[t][#1][t]}%
  \fi
  \@tempa{\columnwidth-\fboxsep}{%
    \@abstract\par
    \abstractcaptionminskip
    \@titlefigurecaption
    \vspace*{.5\baselineskip}%
  }%
}
% 
% Die folgenden beiden Makros setzen die Abbildung im Abstract
% ohne bzw. mit Legende darunter:
% 
\def\@setfigurepart{% Abb. ohne Legende
  \parbox[t]{\columnwidth-\fboxsep}{%
    \setlength{\@tempdima}{\dp\strutbox}\vspace{.4\@tempdima}%
    \@titlefigure%
  }%
}%
% 
\newcommand*\@setxfigurepart[1][]{% Abb. mit Legende darunter
  \ifx!#1!
    \def\@tempa{\parbox[t]}%
  \else
    \def\@tempa{\parbox[t][#1][t]}%
  \fi
  \@tempa{\columnwidth-\fboxsep}{%
    \@titlefigure\par
    \titlefigurecaptionminskip
    \@titlefigurecaption
  }%
}
%
\newcommand{\@settototalheight}[2]{%
  \settoheight{#1}{#2}%
  \settodepth{\@tempdimc}{#2}%
  \addtolength{#1}{\@tempdimc}%
}

% \def\copyrightmark{%
%   {%
%     \fontsize{6}{7.2pt}\selectfont
%     \mbox{\begin{tabular}{@{}l@{}}
%       \textcopyright\ \theyear\ by Astro Ltd.\\
% Published exclusively by WILEY-VCH Verlag GmbH \& Co.
% KGaA\end{tabular}
%     }%
%   }%
% }

\def\@maketitle{\newpage
 \normalfont
 \vbox to0pt{\vskip-40pt
 \nointerlineskip
 \makeheadbox\vss}\nointerlineskip
  \colorbox{abstractcolor}{%
    \@settototalheight{\@tempdima}{%
      \def\abstractcaptionminskip{\vspace*{\baselineskip}}% 
      \@setxabstractpart}%
    \@settototalheight{\@tempdimb}{\@setfigurepart}%
    \setlength{\@tempdimc}{\textwidth-2\fboxsep}%
    \ifdim\@tempdima>\@tempdimb
      \parbox[t]{\@tempdimc}{%
      \@settototalheight{\@tempdima}{\@setabstractpart}%
      \@settototalheight{\@tempdimb}{%
        \def\titlefigurecaptionminskip{\relax}%
        \@setxfigurepart}%
      \ifdim\@tempdima>\@tempdimb
        \setlength{\@tempdimb}{\@tempdima}%
      \fi
      \@setabstractpart
      \hfill
      \@setxfigurepart[\@tempdimb]%
      }%
    \else
      \parbox[t]{\@tempdimc}{%
        \@settototalheight{\@tempdimb}{\strut\@setfigurepart}%
%         \strut
        \@setxabstractpart[\@tempdimb]%
        \hfill
        \@setfigurepart
      }%
    \fi
  }% colorbox
 \vspace{3.5mm}
\hbox{~}\hfill\copyrightmark%%%hhh(oben)
 \vspace{-3\baselineskip}%
 \setbox\authrun=\vbox\bgroup
 {\Large \bfseries\boldmath
  \hrule\@height\logodepth\@width\z@
  \pretolerance=10000
  \rightskip=0pt plus 4cm
 \if!\@headnote!\else %%%%hhh
   \noindent
   {\normalfont\em\ignorespaces\@headnote\par}\vskip 3.5mm
 \fi
  \noindent\ignorespaces
  {\titlefont\@title \par}}\vskip 11.24pt\relax
 \if!\@subtitle!\else
   {\large\bfseries\boldmath
   \pretolerance=10000
   \rightskip=0pt plus 3cm
   \noindent\ignorespaces\@subtitle \par}\vskip 11.24pt
 \fi
 \normalfont\authorfont
 \lineskip .5em
 \setbox0=\vbox{\setcounter{auth}{1}\def\and{\stepcounter{auth} }%
                \hfuzz=2\textwidth\def\thanks##1{}\@author}%
 \value{inst}=\value{auth}%
 \setcounter{auth}{1}%
 \rightskip=0pt plus 2cm
 \noindent\ignorespaces\@author\vskip7.23pt
 \rightskip=0pt\relax
 \normalfont\small\rmfamily
 \institutename
 \if!\@date!\else\vskip 12.85pt \noindent\@date\fi
 \if!\@dedic!\else
    \par
    \small\itshape
    \addvspace\baselineskip
    \noindent\@dedic
 \fi
 \par\vspace{\baselineskip}
 \setreceived
 \setpublished
 \keywords@pacs
 \egroup % end of header box
 \@tempdima=\headerboxheight
 \advance\@tempdima by-\ht\authrun
 \ifdim\@tempdima>0pt
    \vrule width0pt height\@tempdima
 \fi
 \unvbox\authrun
 \global\@minipagetrue
 \global\everypar{\global\@minipagefalse\global\everypar{}}
 \vskip2.5\baselineskip
}
%
\ClassInfo{issue}{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Neue Umgebung `theabstracts' f\"ur den Satz\MessageBreak
eines manuell zusammengestellten Inhaltsverzeichnis'\MessageBreak
Martin Wilhelm Leidig 2006/08/18\MessageBreak
fr Steingraeber Satztechnik GmbH\MessageBreak%
}%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Einstellungen ...
%
%
\definecolor{toaContentsboxcolor}{gray}{0.3}%  Kopf: 'Contents'-Box
\definecolor{toaContentscolor}{gray}{1}% Kopf: 'Contents'-Schrift
\definecolor{toascopecolor}{gray}{0.7}% Scope-Balken
\definecolor{toaabstractcolor}{gray}{1}% Abstract-Kasten
\definecolor{toarulecolor}{gray}{0.7}%  Trennstrich
\definecolor{toaindexboxcolor}{gray}{0.3}% "indexed''-Zeile: Box
\definecolor{toaindexcolor}{gray}{1}% "indexed''-Zeile: Text
%
\def\toarule{2\p@}% Liniendicke Trennstrich
%
\def\cpv@publogoname{wislogo}%
%
\newif\if@toarule% switches \toa@rule on/off
\newif\iftoa@titlefigure% switches to broad title entry text without figure
%%%
\newbox\inner@box
\newbox\outer@box
%%%
%%% Test, if parameter is _really_ empty
%%%
\begingroup
\catcode`\Z=3
\long\gdef\@M@T@#1#2Z#3#4#5\@nil{#4}
\long\gdef\@ifempty#1{\@M@T@#1ZZ\@secondoftwo\@firstoftwo\@nil}
% \long\gdef\@ifarg#1{\@M@T@#1ZZ\@firstofone\@gobble\@nil}
% \long\gdef\@ifnoarg#1{\@M@T@#1ZZ\@gobble\@firstofone\@nil}
\endgroup
%%%
%%% Doublebox for theabstracts entries
%%%
\newlength{\lplDboxSep}%
\setlength{\lplDboxSep}{3mm}%
%
\newlength{\toa@titlefigsep}% Minimalabstand Bild zum Spalten-Leerraum
\setlength{\toa@titlefigsep}{5mm}%
%%%
\newenvironment{lplDbox}%
 {\setlength{\@tempdima}{.5\textwidth}%
  \addtolength{\@tempdima}{-.5\lplDboxSep}%
  \ev@lout
  \setbox\inner@box\hb@xt@\@tempdima\bgroup
    \begin{minipage}[t]{\@tempdima}}%
 {\end{minipage}\egroup\lpl@Dboxout}
%%%
  \newcommand{\lplDboxDivi}{%
    \end{minipage}\egroup%
%     \addtolength{\@tempdima}{-\toa@titlefigsep}
    \setbox\outer@box\hb@xt@\@tempdima\expandafter\bgroup%
    \begin{minipage}[t]{\@tempdima}%
    }%
%%%
\def\ev@lout{%
  \ifodd\value{page}%
    \let\lpl@Dboxout\lpl@Db@xodd%
    \let\toa@fmt\raggedright
    \def\toa@figleft{\hspace*{\toa@titlefigsep}}%
%     \def\toa@figleft{\rule{\toa@titlefigsep}{1mm}}%
    \let\toa@figright\hss
  \else
    \let\lpl@Dboxout\lpl@Db@xeven%
    \let\toa@fmt\raggedleft
    \let\toa@figleft\hss
    \def\toa@figright{\hspace*{\toa@titlefigsep}}%
%     \def\toa@figright{\smash{\rule{\toa@titlefigsep}{4mm}}}%
  \fi}
%%%
\def\lpl@Db@xodd{%
  \hb@xt@\linewidth{\box\inner@box\hspace*{\lplDboxSep}\box\outer@box}}%
\def\lpl@Db@xeven{%
  \hb@xt@\linewidth{\box\outer@box\hspace*{\lplDboxSep}\box\inner@box}}%
%%%
%%% end Doublebox
%%%
%%%
\def\Contents#1{%-MWL- Kopfmarke im ToA
  \begingroup
    \fboxsep=-\fboxrule%
    \raisebox{1.8\p@}[\z@][\z@]{%
      \colorbox{toaContentsboxcolor}{%
        \makebox[40mm][#1]{%
          \toaContentsfont
          \textcolor{toaContentscolor}{%
            \raisebox{-0.65mm}[\z@][\z@]{\,Contents\,}}\strut}}}%
  \endgroup}%
%
% 
\if@earlyview
  \def\earlyview@mark{%
    \begin{picture}(0,0)%
      \put(0,30){\includegraphics*{earlyview}}%
    \end{picture}}%
  \let\volnumheadmark\relax%
\else
  \let\earlyview@mark\relax
  \if@finallayout
    \def\volnumheadmark{%
      \space
      \textbf{\thevol}% 
      \ifx\thenumber\@empty\else
        ,\space
        No.\,\thenumber
      \fi
%       \space
    }%
  \else%@finallayout
    \def\volnumheadmark{%
%       \space
    }%
  \fi%@finallayout
\fi
% 
\def\ps@toafirstpage{%
  \let\raisefoot\z@% -MWL- 2006-08-22
  \def\showpages{,\pages\ }%
  \global\voffset=15mm% -MWL- 2006/19/24
%
  \def\leftfootmark{}%
  \def\@oddhead{%
%    \hbox to 0pt{%
      \vbox to \headheight{\vss\baselineskip=3pt
        \hbox to\textwidth{%
          \begin{picture}(0,0)%
            \put(0,-725){%
              \thelogo}%
          \end{picture}%
          \small
          \short@journalname
          \volnumheadmark
          \showpages
          (\theyear)
          \hfill
          \Contents{r}%-MWL-
          \quad\hbox to 2em{\hfill\thepage}}%
        \leavevmode\lower2pt\rlap{\hbox to\textwidth{\hrulefill}}%
%      }%
    }%
  }%
  \let\@evenhead\@oddhead%
  \def\@oddfoot{%
    \vbox to 0pt{%
      \ifdim\raisefoot=0pt\else\vskip\raisefoot\fi% MJK 2005-11-18
      \vskip-\baselineskip\footfontsize\baselineskip=0pt\relax
      \vskip\normalbaselineskip
      \hbox to\textwidth{\hrulefill}\vskip\dp\strutbox
      \hbox to 0pt{%
        \rlap{\hbox to \textwidth{\strut\leftfootmark\hss}}%
        \rlap{\hbox to \textwidth{\hss \strut\midfootmark\hss}}%
        \rlap{\hbox to \textwidth{\hss \strut
            \ifdim\raisefoot=0pt\else% MJK 2005-11-18
              \expandafter\raise\expandafter\raisefoot% MJK 2005-11-18
            \fi% MJK 2005-11-18
            \hbox{\rightfootmark}% MJK 2005-11-18
          }}%
      }%
      \vss%
    }%
  }% end \def\@oddfoot
  \let\@evenfoot\@oddfoot
}%%% end \def\ps@toafirstpage
%%%
\def\ps@toadefault{%
  \def\@oddhead{%
%    \hbox to 0pt{%
      \vbox to \headheight{\vss\baselineskip=3pt
        \hbox to\textwidth{%
        \Contents{l}%
          \hfill
          \smash{\@journallogo}%hhh
          \quad\hbox to 2em{\hfill\thepage}}%
        \leavevmode\lower2pt\rlap{\hbox to\textwidth{\hrulefill}}%
%      }%
    }%
  }% end \def\@oddhead
  \def\@evenhead{\small%
    \hbox to\textwidth{%
      \vbox to \headheight{\vss\baselineskip=3pt
        \hbox to\textwidth{%
          \hbox to 2em{\thepage\hfill}\quad
          \smash{\@journallogo}%hhh
          \hfill
        \Contents{r}%
        }%
        \leavevmode\lower2pt\hbox to\textwidth{\hrulefill}%
      }%
    }%
  }% end \def\@evenhead
  \def\@oddfoot{%
    \vbox to 0pt{%
      \ifdim\raisefoot=0pt\else\vskip\raisefoot\fi% MJK 2005-11-18
      \vskip-\baselineskip\footfontsize\baselineskip=0pt\relax
      \vskip\normalbaselineskip
      \hbox to\textwidth{\hrulefill}\vskip\dp\strutbox
      \hbox to 0pt{%
        \rlap{\hbox to \textwidth{\strut\leftfootmark\hss}}%
        \rlap{\hbox to \textwidth{\hss \strut\midfootmark\hss}}%
        \rlap{\hbox to \textwidth{\hss \strut
            \ifdim\raisefoot=0pt\else% MJK 2005-11-18
              \expandafter\raise\expandafter\raisefoot% MJK 2005-11-18
            \fi% MJK 2005-11-18
            \hbox{\rightfootmark}% MJK 2005-11-18
          }}%
      }%
      \vss%
    }%
  }% end \def\@oddfoot
  \def\@evenfoot{%
    \vbox to 0pt{%
      \ifdim\raisefoot=0pt\else\vskip\raisefoot\fi% MJK 2005-11-18
      \vskip-\baselineskip\footfontsize\baselineskip=0pt\relax
      \vskip\normalbaselineskip
      \hbox to\textwidth{\hrulefill}\vskip\dp\strutbox
      \hbox to 0pt{%
        \rlap{\hbox to \textwidth{\strut
            \ifdim\raisefoot=0pt\else% MJK 2005-11-18
              \expandafter\raise\expandafter\raisefoot% MJK 2005-11-18
            \fi% MJK 2005-11-18
            \hbox{\rightfootmark}% MJK 2005-11-18
            \hss}}%
        \rlap{\hbox to \textwidth{\hss\strut\midfootmark\hss}}%
        \rlap{\hbox to \textwidth{\hss\strut\leftfootmark}}%hhh
      }\vss%
    }%
  }% end \def\@evenfoot
}%%% end \def\ps@toadefault
%%%
\newenvironment{theabstracts}%%%%%%%%%%%%
 {%
% Die Originalschrift im Heft drfte die Frutiger a.k.a. Bitstream
% Humanist 777 sein; da diese nicht frei verfgbar ist, wird hier
% dafr die Helvetica Narrow benutzt.
\def\theabstractsfont{\usefont{T1}{phv}{mc}{n}}% medium condensed
\def\theabstractsboldfont{\usefont{T1}{phv}{bc}{n}}% bold condensed
\long\def\textbc##1{{\theabstractsboldfont##1}}%
%
\def\toaContentsfont{\fontsize{18}{23}\theabstractsfont}% Kopf: 'Contents'
% Ausnahme: die Scope-Zeile soll normal breit laufen, nicht condensed.
\def\toascopelinefont{\fontsize{18}{24}\usefont{T1}{phv}{m}{n}}% Scope-Zeile
\def\toatitlefont{\fontsize{13}{16}\theabstractsboldfont}% Titelzeile
\def\toaauthorfont{\normalsize\theabstractsfont}% Autorenzeile
\def\toaabstractfont{\normalsize\theabstractsfont}% Text (neben Bild)
\def\toaWWWtextfont{\Large\theabstractsfont}% Weblink-Box am Anfang
\def\toaindexlinefont{\large\theabstractsboldfont}% Zeile am ToA-Ende
%
% F\"ur die verwendete Schrift sind etwas weitere Zeilenabst\"ande im
% Sinn der Lesbarkeit sinnvoll.  Diese gelten nur innerhalb dieser
% Umgebung!
% -MWL- 2006-09-07
\def\tiny{\@setfontsize\tiny\@viipt\@ixpt}% 1,285714...
\def\scriptsize{\@setfontsize\scriptsize\@viiipt\@xpt}%1,25
\def\small{\@setfontsize\small\@ixpt\@xipt}% 1,222...
\let\footnotesize\small
\def\normalsize{\@setfontsize\normalsize\@xpt{12.2pt}}% 1,22
\def\large{\@setfontsize\large\@xipt{13.2pt}}% 1,2
\def\Large{\@setfontsize\Large\@xiipt{14.2pt}}% 1,1833...
\def\LARGE{\@setfontsize\LARGE\@xivpt{16pt}}% 1,142857...
%
\onecolumn
  \pagestyle{toadefault}%
  \thispagestyle{toafirstpage}%
  \parindent\z@
  \parskip0mm%
  \futurelet\newp@ge\def\newpage{\newp@ge\@toarulefalse}%
  \futurelet\p@gebreak\def\pagebreak{\p@gebreak\@toarulefalse}%
  \futurelet\clearp@ge\def\clearpage{\clearp@ge\@toarulefalse}%
  \newcommand{\scopeline}[1]{% ToA scope line
    \vspace{6mm}%
    \begingroup
      \fboxsep=-\fboxrule%
      \colorbox{toascopecolor}{\makebox[\textwidth][c]{\toascopelinefont##1\strut}}%
    \endgroup\par
    \vspace*{6mm}%
    \global\@toarulefalse%
  }% scopeline
%
% The commands that format the information ...
%
  \newcommand{\toa@rule}{% rule between entries
    \addvspace{5mm}%
    \noindent{\color{toarulecolor}\hrule height\toarule}%
    \par\addvspace{7mm}%
  }%
%  Weblink box at start of ToA
  \def\toaWWWtext{\parbox[b]{100mm}{%
    \toaWWWtextfont%
    Full text on our homepage: \textbc{www.lphys.org}\\%
    Or visit us at: \textbc{www.lasphys.com}}%
  }
  \newlength{\toaWWWtextht}%
  \newlength{\toaWWWtextdp}%
  \newlength{\toaWWWtextHT}%
  \settodepth{\toaWWWtextht}{\toaWWWtext}%
  \settoheight{\toaWWWtextdp}{\toaWWWtext}%
  \setlength{\toaWWWtextHT}{\toaWWWtextht+\toaWWWtextdp}%
  \newcommand{\toaWWWbox}{% The box itself
    \vspace*{6mm}%
    \begingroup
%       \fboxrule=\z@%
%       \fboxsep=3pt%
      \framebox[\textwidth][l]{\space%
        \toaWWWtext%
        \hfill
        \raisebox{-\toaWWWtextht}[\toaWWWtextdp][\toaWWWtextht]{%
          \includegraphics[height=\toaWWWtextHT]{\cpv@publogoname}}%
        \strut\space}%
    \endgroup\par
    \vspace{8mm}%
    \global\@toarulefalse%
  }% scopeline
%
  \newcommand{\toaindexline}{% Index reminder at end of ToA
    \vspace{\fill}%
    \begingroup
      \fboxrule=\z@%
      \fboxsep=3pt%
      \colorbox{toaindexboxcolor}{%
        \makebox[\textwidth-2\fboxrule-2\fboxsep][c]{%
          \toaindexlinefont
          \textcolor{toaindexcolor}{\hspace*{\fboxsep}%
            \long@journalname{} is indexed or abstracted in Current
            Contents/PC\,\&\,ES, SciSearch and INSPEC.}%
          \strut}}%
    \endgroup
    \vspace*{3mm}% "Abstand wie zwischen Schlulinie und Funote"
    \global\@toarulefalse%
  }% scopeline
%
  \newenvironment{toaentry}%%%%%%%%%%%
   {% Let's locally switch off some things ...
    \def\inst####1{\unskip{}}%
    \def\thanks####1{\unskip{}}%
    \def\fnmsep{\unskip}%
    \let\abstractname\relax
  % ... and (re)define some stuff:
    \def\author####1{\def\toa@author{####1}%
      \def\toa@authorline{% author line after `\author' command
        \parbox{\hsize}{\toaauthorfont\toa@author\,\dotfill\,\toa@pages}%
        \\[6mm]%
      }%
    }%
    \def\pagerange####1####2{% -MWL- 2006-10-09
      \@ifempty{####2}{\def\toa@pages{\mbox{####1}}}%
                      {\def\toa@pages{\mbox{####1\,--\,####2}}}}%
    \def\toa@authorline{% author line, if no `\author' command is given
%       \vspace*{6mm}%
    }%
    \renewcommand{\abstract}[2][\normalsize]{\def\toa@abstract{\toaabstractfont####1####2}}%
    \renewcommand*{\titlefigure}[2][]{%
      \ifx!####2!
        \toa@titlefigurefalse
      \else
        \toa@titlefiguretrue
        \def\toa@titlefigure{%
          \begingroup
            \settoheight{\@tempdimc}{\toaabstractfont M}%
            \hb@xt@\linewidth{\addtolength{\linewidth}{-\toa@titlefigsep}%
            \toa@figleft%
            \raisebox{\@tempdimc-\totalheight}[\@tempdimc][\totalheight-\@tempdimc]{%
              \includegraphics[####1]{####2}}%
            \toa@figright%
            }%
          \endgroup
        }%
      \fi
    }%
    \def\title####1{\def\toa@entrytitle{{\toatitlefont\boldmath####1\strut}%
      \vspace{4mm}}}% ToA entry title
  % Errors, if no data
    \newcommand*{\missingtoainit}[2]{%
      \ClassWarning{issue}{%
        Missing initialization of ####1.\MessageBreak
        You may do the initialization using\MessageBreak
        \string####2\string{...\string}%
      }%
    }
  %
    \def\toa@author{\missingtoainit{author}{\author}%
%               \textcolor{red}{Please supply author name(s)!}%
      }%
    \def\toa@pages{\missingtoainit{page range}{\pagerange\string{...\string}}%
%               \textcolor{red}{Please supply a page number range!}%
      }%
    \def\toa@abstract{\missingtoainit{abstract text}{\abstract[...]}%
              \textcolor{red}{Please supply some text!}}%
    \def\toa@titlefigure{\missingtoainit{title figure}{\titlefigure[...]}%
  %             \colorbox{red}{\parbox[c][.6\width][c]{.8\linewidth}{%
  %       \centering\textcolor{white}{\sffamily\huge Please supply figure!}}}%
        }%
    \def\toa@entrytitle{\missingtoainit{title}{\title}%
              \textcolor{red}{Please supply some title!}}%
    \toa@titlefigurefalse% Assume _no_ title figure in entry
    }%
   {% Finally, we put the entry data together:
    \if@toarule\toa@rule\else\global\@toaruletrue\fi
    \fboxsep=-\fboxrule
    \vbox{\hsize=\textwidth%
      \toa@authorline%
      \toa@entrytitle\\%
      \colorbox{toaabstractcolor}{%
        \iftoa@titlefigure% title figure given?
        \begin{lplDbox}% yes: set text & figure side by side
          \toa@abstract
        \lplDboxDivi
          \toa@titlefigure
        \end{lplDbox}%
      \else
        \begin{minipage}{\textwidth}% no: set text in full width
          \toa@abstract
        \end{minipage}
      \fi
    }%
    }%
  \par
  }%%% end{toaentry} %%%%
%%% Information at the start of the ToA
\toaWWWbox%
  }%
 {%%% Information at the end of the ToA
 \toaindexline
 \twocolumn}%%% end{theabstracts} %%%%%%%%%%%%%%
%%% end Neue Umgebung `theabstracts' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\if@mathematic
   \def\vec#1{\ensuremath{\mathchoice
                     {\mbox{\boldmath$\displaystyle\mathbf{#1}$}}
                     {\mbox{\boldmath$\textstyle\mathbf{#1}$}}
                     {\mbox{\boldmath$\scriptstyle\mathbf{#1}$}}
                     {\mbox{\boldmath$\scriptscriptstyle\mathbf{#1}$}}}}
\else
   \def\vec#1{\ensuremath{\mathchoice
                     {\mbox{\boldmath$\displaystyle#1$}}
                     {\mbox{\boldmath$\textstyle#1$}}
                     {\mbox{\boldmath$\scriptstyle#1$}}
                     {\mbox{\boldmath$\scriptscriptstyle#1$}}}}
\fi
%
\def\tens#1{\ensuremath{\mathsf{#1}}}
%
\setcounter{secnumdepth}{3}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thesection      {\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection.\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
%
\def\@hangfrom#1{\setbox\@tempboxa\hbox{#1}%
      \hangindent \z@\noindent\box\@tempboxa}

\def\@seccntformat#1{\csname the#1\endcsname\sectcounterend
\hskip\betweenumberspace}

\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \raggedright
          \hyphenpenalty \@M%
          \interlinepenalty \@M #8\@@par}%
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname\sectcounterend}%
      \fi
      #7}%
  \else
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsec #8\hskip\aftertext}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
  \@xsect{#5}}

%
% measures and setting of sections
%
\def\section{\@startsection{section}{1}{\z@}%
    {-21dd plus-4pt minus-4pt}{10.5dd plus 4pt
     minus4pt}{\normalsize\bfseries\boldmath}}
\def\subsection{\@startsection{subsection}{2}{\z@}%
    {-21dd plus-4pt minus-4pt}{10.5dd plus 4pt
     minus4pt}{\normalsize\itshape}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}%
    {-13dd plus-4pt minus-4pt}{-5.5pt}{\normalsize\itshape}}
\def\paragraph{\@startsection{paragraph}{4}{\z@}%
    {-13pt plus-4pt minus-4pt}{-5.5pt}{\normalsize\itshape}}

\setlength\leftmargini  {\parindent}
\leftmargin  \leftmargini
\setlength\leftmarginii {\parindent}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\setlength\leftmarginv  {.5em}
\setlength\leftmarginvi {.5em}
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.~}
\newcommand\labelenumii{(\theenumii)~}
\newcommand\labelenumiii{\theenumiii.~}
\newcommand\labelenumiv{\theenumiv.~}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\normalfont\bfseries --~}
\newcommand\labelitemii{\normalfont\bfseries --~}
\newcommand\labelitemiii{$\m@th\bullet$~}
\newcommand\labelitemiv{$\m@th\cdot$~}

\if@spthms
% definition of the "\spnewtheorem" command.
%
% Usage:
%
%     \spnewtheorem{env_nam}{caption}[within]{cap_font}{body_font}
% or  \spnewtheorem{env_nam}[numbered_like]{caption}{cap_font}{body_font}
% or  \spnewtheorem*{env_nam}{caption}{cap_font}{body_font}
%
% New is "cap_font" and "body_font". It stands for
% fontdefinition of the caption and the text itself.
%
% "\spnewtheorem*" gives a theorem without number.
%
% A defined spnewthoerem environment is used as described
% by Lamport.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\@thmcountersep{}
\def\@thmcounterend{}

\def\spnewtheorem{\@ifstar{\@sthm}{\@Sthm}}

% definition of \spnewtheorem with number

\def\@spnthm#1#2{%
  \@ifnextchar[{\@spxnthm{#1}{#2}}{\@spynthm{#1}{#2}}}
\def\@Sthm#1{\@ifnextchar[{\@spothm{#1}}{\@spnthm{#1}}}

\def\@spxnthm#1#2[#3]#4#5{\expandafter\@ifdefinable\csname #1\endcsname
   {\@definecounter{#1}\@addtoreset{#1}{#3}%
   \expandafter\xdef\csname the#1\endcsname{\expandafter\noexpand
     \csname the#3\endcsname \noexpand\@thmcountersep \@thmcounter{#1}}%
   \expandafter\xdef\csname #1name\endcsname{#2}%
   \global\@namedef{#1}{\@spthm{#1}{\csname #1name\endcsname}{#4}{#5}}%
                              \global\@namedef{end#1}{\@endtheorem}}}

\def\@spynthm#1#2#3#4{\expandafter\@ifdefinable\csname #1\endcsname
   {\@definecounter{#1}%
   \expandafter\xdef\csname the#1\endcsname{\@thmcounter{#1}}%
   \expandafter\xdef\csname #1name\endcsname{#2}%
   \global\@namedef{#1}{\@spthm{#1}{\csname #1name\endcsname}{#3}{#4}}%
                               \global\@namedef{end#1}{\@endtheorem}}}

\def\@spothm#1[#2]#3#4#5{%
  \@ifundefined{c@#2}{\@latexerr{No theorem environment `#2' defined}\@eha}%
  {\expandafter\@ifdefinable\csname #1\endcsname
  {\global\@namedef{the#1}{\@nameuse{the#2}}%
  \expandafter\xdef\csname #1name\endcsname{#3}%
  \global\@namedef{#1}{\@spthm{#2}{\csname #1name\endcsname}{#4}{#5}}%
  \global\@namedef{end#1}{\@endtheorem}}}}

\def\@spthm#1#2#3#4{\topsep 7\p@ \@plus2\p@ \@minus4\p@
\refstepcounter{#1}%
\@ifnextchar[{\@spythm{#1}{#2}{#3}{#4}}{\@spxthm{#1}{#2}{#3}{#4}}}

\def\@spxthm#1#2#3#4{\@spbegintheorem{#2}{\csname the#1\endcsname}{#3}{#4}%
                    \ignorespaces}

\def\@spythm#1#2#3#4[#5]{\@spopargbegintheorem{#2}{\csname
       the#1\endcsname}{#5}{#3}{#4}\ignorespaces}

\def\@spbegintheorem#1#2#3#4{\trivlist
                 \item[\hskip\labelsep{#3#1\ #2\@thmcounterend}]#4}

\def\@spopargbegintheorem#1#2#3#4#5{\trivlist
      \item[\hskip\labelsep{#4#1\ #2}]{#4(#3)\@thmcounterend\ }#5}

% definition of \spnewtheorem* without number

\def\@sthm#1#2{\@Ynthm{#1}{#2}}

\def\@Ynthm#1#2#3#4{\expandafter\@ifdefinable\csname #1\endcsname
   {\global\@namedef{#1}{\@Thm{\csname #1name\endcsname}{#3}{#4}}%
    \expandafter\xdef\csname #1name\endcsname{#2}%
    \global\@namedef{end#1}{\@endtheorem}}}

\def\@Thm#1#2#3{\topsep 7\p@ \@plus2\p@ \@minus4\p@
\@ifnextchar[{\@Ythm{#1}{#2}{#3}}{\@Xthm{#1}{#2}{#3}}}

\def\@Xthm#1#2#3{\@Begintheorem{#1}{#2}{#3}\ignorespaces}

\def\@Ythm#1#2#3[#4]{\@Opargbegintheorem{#1}
       {#4}{#2}{#3}\ignorespaces}

\def\@Begintheorem#1#2#3{#3\trivlist
                           \item[\hskip\labelsep{#2#1\@thmcounterend}]}

\def\@Opargbegintheorem#1#2#3#4{#4\trivlist
      \item[\hskip\labelsep{#3#1}]{#3(#2)\@thmcounterend\ }}

\if@envcntsect
   \def\@thmcountersep{.}
   \spnewtheorem{theorem}{Theorem}[section]{\bfseries}{\itshape}
\else
   \spnewtheorem{theorem}{Theorem}{\bfseries}{\itshape}
   \if@envcntreset
      \@addtoreset{theorem}{section}
   \else
      \@addtoreset{theorem}{chapter}
   \fi
\fi

%definition of divers theorem environments
\spnewtheorem*{claim}{Claim}{\itshape}{\rmfamily}
\spnewtheorem*{proof}{Proof}{\itshape}{\rmfamily}
\if@envcntsame % alle Umgebungen wie Theorem.
   \def\spn@wtheorem#1#2#3#4{\@spothm{#1}[theorem]{#2}{#3}{#4}}
\else % alle Umgebungen mit eigenem Zaehler
   \if@envcntsect % mit section numeriert
      \def\spn@wtheorem#1#2#3#4{\@spxnthm{#1}{#2}[section]{#3}{#4}}
   \else % nicht mit section numeriert
      \if@envcntreset
         \def\spn@wtheorem#1#2#3#4{\@spynthm{#1}{#2}{#3}{#4}
                                   \@addtoreset{#1}{section}}
      \else
         \let\spn@wtheorem=\@spynthm
      \fi
   \fi
\fi
\spn@wtheorem{case}{Case}{\itshape}{\rmfamily}
\spn@wtheorem{conjecture}{Conjecture}{\itshape}{\rmfamily}
\spn@wtheorem{corollary}{Corollary}{\bfseries}{\itshape}
\spn@wtheorem{definition}{Definition}{\bfseries}{\itshape}
\spn@wtheorem{example}{Example}{\itshape}{\rmfamily}
\spn@wtheorem{exercise}{Exercise}{\bfseries}{\rmfamily}
\spn@wtheorem{lemma}{Lemma}{\bfseries}{\itshape}
\spn@wtheorem{note}{Note}{\itshape}{\rmfamily}
\spn@wtheorem{problem}{Problem}{\bfseries}{\rmfamily}
\spn@wtheorem{property}{Property}{\itshape}{\rmfamily}
\spn@wtheorem{proposition}{Proposition}{\bfseries}{\itshape}
\spn@wtheorem{question}{Question}{\itshape}{\rmfamily}
\spn@wtheorem{solution}{Solution}{\bfseries}{\rmfamily}
\spn@wtheorem{remark}{Remark}{\itshape}{\rmfamily}

\def\theopargself{\def\@spopargbegintheorem##1##2##3##4##5{\trivlist
      \item[\hskip\labelsep{##4##1\ ##2}]{##4##3\@thmcounterend\ }##5}
                  \def\@Opargbegintheorem##1##2##3##4{##4\trivlist
      \item[\hskip\labelsep{##3##1}]{##3##2\@thmcounterend\ }}
      }
\fi

\def\@takefromreset#1#2{%
    \def\@tempa{#1}%
    \let\@tempd\@elt
    \def\@elt##1{%
        \def\@tempb{##1}%
        \ifx\@tempa\@tempb\else
            \@addtoreset{##1}{#2}%
        \fi}%
    \expandafter\expandafter\let\expandafter\@tempc\csname cl@#2\endcsname
    \expandafter\def\csname cl@#2\endcsname{}%
    \@tempc
    \let\@elt\@tempd}

\def\squareforqed{\hbox{\rlap{$\sqcap$}$\sqcup$}}
\def\qed{\ifmmode\else\unskip\quad\fi\squareforqed}
\def\smartqed{\def\qed{\ifmmode\squareforqed\else{\unskip\nobreak\hfil
\penalty50\hskip1em\null\nobreak\hfil\squareforqed
\parfillskip=0pt\finalhyphendemerits=0\endgraf}\fi}}

%Define `abstract' environment
%\def\abstract{\topsep=0pt\partopsep=0pt\parsep=0pt\itemsep=0pt\relax
%\trivlist\item[\hskip\labelsep
%{\bfseries\abstractname}]\if!\abstractname!\hskip-\labelsep\fi}
%\if@twocolumn
%   \def\endabstract{\endtrivlist\addvspace{5mm}\strich}
%   \def\strich{\hrule\vskip3ptplus12pt\null}
%\else
%   \def\endabstract{\endtrivlist\addvspace{3mm}}
%\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%hhh
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \renewcommand\thesection{\@Alph\c@section}}
\setlength\arraycolsep{1.5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
%\setlength\fboxsep{3\p@}
\setlength\fboxsep{6\p@}
\setlength\fboxrule{.4\p@}
\renewcommand\theequation{\@arabic\c@equation}
\newcounter{figure}
\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}[1][]%hhh
               {\@float{figure}[{#1}]\vspace*{\baselineskip}}
               {\end@float}
\newenvironment{figure*}[1][]
               {\@dblfloat{figure}[#1]\vspace*{\baselineskip}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}

\def \@floatboxreset {%
        \reset@font
        \small
        \@setnobreak
        \@setminipage
}

\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\newcommand\leftlegendglue{}

\def\fig@type{figure}

\newdimen\figcapgap\figcapgap=3pt
\newdimen\tabcapgap\tabcapgap=5.5pt

%%%hhh
\@ifundefined{floatlegendstyle}{\def\floatlegendstyle{\bfseries}}{}

\long\def\@caption#1[#2]#3{\par\addcontentsline{\csname
  ext@#1\endcsname}{#1}{\protect\numberline{\csname
  the#1\endcsname}{\ignorespaces #2}}\begingroup
    \@parboxrestore
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}

\def\capstrut{\vrule\@width\z@\@height\topskip}

\@ifundefined{captionstyle}{\def\captionstyle{\normalfont\small}}{}%%hhh

\long\def\@makecaption#1#2{%
 \captionstyle
 \ifx\@captype\fig@type
   \vskip\figcapgap
 \fi
 \setbox\@tempboxa\hbox{{\floatlegendstyle #1\floatcounterend}%
 \capstrut #2}%
 \ifdim \wd\@tempboxa >\hsize
   {\floatlegendstyle #1\floatcounterend}\capstrut #2\par
 \else
   \hbox to\hsize{\leftlegendglue\unhbox\@tempboxa\hfil}%
 \fi
 \ifx\@captype\fig@type\else
   \vskip\tabcapgap
 \fi}

\newdimen\figgap\figgap=1cc
\long\def\@makesidecaption#1#2{%
   \parbox[b]{\@tempdima}{\captionstyle{\floatlegendstyle
                                         #1\floatcounterend}#2}}
\def\sidecaption#1\caption{%
\setbox\@tempboxa=\hbox{#1\unskip}%
\if@twocolumn
 \ifdim\hsize<\textwidth\else
   \ifdim\wd\@tempboxa<\columnwidth
      \typeout{Double column float fits into single column -
            ^^Jyou'd better switch the environment. }%
   \fi
 \fi
\fi
\@tempdima=\hsize
\advance\@tempdima by-\figgap
\advance\@tempdima by-\wd\@tempboxa
\ifdim\@tempdima<3cm
    \typeout{\string\sidecaption: No sufficient room for the legend;
             using normal \string\caption. }%
   \unhbox\@tempboxa
   \let\@capcommand=\@caption
\else
   \let\@capcommand=\@sidecaption
   \leavevmode
   \unhbox\@tempboxa
   \hfill
\fi
\refstepcounter\@captype
\@dblarg{\@capcommand\@captype}}

\long\def\@sidecaption#1[#2]#3{\addcontentsline{\csname
  ext@#1\endcsname}{#1}{\protect\numberline{\csname
  the#1\endcsname}{\ignorespaces #2}}\begingroup
    \@parboxrestore
    \@makesidecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}

% Define `acknowledgement' environment
\def\acknowledgement{\par\addvspace{17pt}\small\rmfamily
\trivlist\if!\ackname!\item[]\else
\item[\hskip\labelsep
{\it\ackname}]\fi}
\def\endacknowledgement{\endtrivlist\addvspace{6pt}}
% Define `noteadd' environment
\def\noteadd{\par\addvspace{17pt}\small\rmfamily
\trivlist\item[\hskip\labelsep
{\itshape\noteaddname}]}
\def\endnoteadd{\endtrivlist\addvspace{6pt}}

\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{1}
\newcommand\tableofcontents{%
    \section*{\contentsname}%
    \@starttoc{toc}%
    \addtocontents{toc}{\begingroup\protect\small}%
    \AtEndDocument{\addtocontents{toc}{\endgroup}}%
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section{\@dottedtocline{1}{0pt}{1.5em}}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename
      \@mkboth{\listfigurename}%
              {\listfigurename}}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename
      \@mkboth{\listtablename}{\listtablename}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{\parindent}
\def\@biblabel#1{#1.}
\def\@lbibitem[#1]#2{\item[{[#1]}\hfill]\if@filesw
      {\let\protect\noexpand
       \immediate
       \write\@auxout{\string\bibcite{#2}{#1}}}\fi\ignorespaces}
\newenvironment{thebibliography}[1]
     {\section*{\refname
        \@mkboth{\refname}{\refname}}\small
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy\clubpenalty4000\widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
%
\newcount\@tempcntc
\def\@citex[#1]#2{\if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi
  \@tempcnta\z@\@tempcntb\m@ne\def\@citea{}\@cite{\@for\@citeb:=#2\do
    {\@ifundefined
       {b@\@citeb}{\@citeo\@tempcntb\m@ne\@citea\def\@citea{,}{\bfseries
        ?}\@warning
       {Citation `\@citeb' on page \thepage \space undefined}}%
    {\setbox\z@\hbox{\global\@tempcntc0\csname b@\@citeb\endcsname\relax}%
     \ifnum\@tempcntc=\z@ \@citeo\@tempcntb\m@ne
       \@citea\def\@citea{,\hskip0.1em\ignorespaces}\hbox{\csname b@\@citeb\endcsname}%
     \else
      \advance\@tempcntb\@ne
      \ifnum\@tempcntb=\@tempcntc
      \else\advance\@tempcntb\m@ne\@citeo
      \@tempcnta\@tempcntc\@tempcntb\@tempcntc\fi\fi}}\@citeo}{#1}}
\def\@citeo{\ifnum\@tempcnta>\@tempcntb\else
            \@citea\def\@citea{,\hskip0.1em\ignorespaces}%
  \ifnum\@tempcnta=\@tempcntb\the\@tempcnta\else
   {\advance\@tempcnta\@ne\ifnum\@tempcnta=\@tempcntb \else \def\@citea{--}\fi
    \advance\@tempcnta\m@ne\the\@tempcnta\@citea\the\@tempcntb}\fi\fi}
%
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\indexname}{\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\newcommand\@makefntext[1]{%
    \noindent
    \hb@xt@\bibindent{\hss\@makefnmark\enspace}#1}
%
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract\runinend}
\newcommand\ackname{Acknowledgements\runinend}
\newcommand\noteaddname{Note added in proof}
% French section
\def\ds@francais{%
 \typeout{On parle francais.}%
 \def\abstractname{R\'esum\'e\runinend}%
 \def\ackname{Remerciements\runinend}%
 \def\andname{et}%
 \def\lastandname{ et}%
 \def\appendixname{Appendice}
 \def\chaptername{Chapitre}%
 \def\claimname{Pr\'etention}%
 \def\conjecturename{Hypoth\`ese}%
 \def\contentsname{Table des mati\`eres}%
 \def\corollaryname{Corollaire}%
 \def\definitionname{D\'efinition}%
 \def\examplename{Exemple}%
 \def\exercisename{Exercice}%
 \def\figurename{Figure}%
 \def\keywordname{{\bfseries Mots-cl\'e\runinend}}
 \def\indexname{Index}
 \def\lemmaname{Lemme}%
 \def\contriblistname{Liste des contributeurs}
 \def\listfigurename{Liste des figures}%
 \def\listtablename{Liste des tables}%
 \def\mailname{Correspondence to:}
 \def\noteaddname{Note ajout\'ee \`a l'\'epreuve}%
 \def\notename{Remarque}%
 \def\partname{Partie}%
 \def\problemname{Probl\`eme}%
 \def\proofname{\'Epreuve}%
 \def\propertyname{Caract\'eristique}%
%\def\propositionname{Proposition}%
 \def\questionname{Question}%
%\def\refname{References}%
 \def\remarkname{Remarque}%
 \def\seename{voyez}
 \def\solutionname{Solution}%
%\def\subclassname{{\it Subject Classifications\/}:}
 \def\tablename{Tableau}%
 \def\theoremname{Th\'eor\`eme}%
}
%
% German section
\def\ds@deutsch{\typeout{Man spricht deutsch.}%
 \def\abstractname{Zusammenfassung\runinend}%
 \def\ackname{Danksagung\runinend}%
 \def\andname{und}%
 \def\lastandname{ und}%
 \def\appendixname{Anhang}%
 \def\chaptername{Kapitel}%
 \def\claimname{Behauptung}%
 \def\conjecturename{Hypothese}%
 \def\contentsname{Inhaltsverzeichnis}%
 \def\corollaryname{Korollar}%
%\def\definitionname{Definition}%
 \def\examplename{Beispiel}%
 \def\exercisename{\"Ubung}%
 \def\figurename{Abbildung}%
 \def\keywordname{{\bfseries Schl\"usselw\"orter\runinend}}
 \def\indexname{Index}
%\def\lemmaname{Lemma}%
 \def\contriblistname{Mitarbeiter}
 \def\listfigurename{Abbildungsverzeichnis}%
 \def\listtablename{Tabellenverzeichnis}%
 \def\mailname{Correspondence to:}
 \def\noteaddname{Nachtrag}%
 \def\notename{Anmerkung}%
 \def\partname{Teil}%
%\def\problemname{Problem}%
 \def\proofname{Beweis}%
 \def\propertyname{Eigenschaft}%
%\def\propositionname{Proposition}%
 \def\questionname{Frage}%
 \def\refname{Literatur}%
 \def\remarkname{Anmerkung}%
 \def\seename{siehe}
 \def\solutionname{L\"osung}%
%\def\subclassname{{\it Subject Classifications\/}:}
 \def\tablename{Tabelle}%
%\def\theoremname{Theorem}%
}
\AtBeginDocument{\switch@texts}
% 
\AtBeginDocument{\edef\today{%
  \number\day\space%
  \ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\year}}
%
\newenvironment{changed}[1][red]%
  {\bgroup\color{#1}}{\egroup\ignorespacesafterend}
% 
\setlength\columnsep{1.5cc}
\setlength\columnseprule{0\p@}
%
\frenchspacing
\clubpenalty=10000
\widowpenalty=10000
\def\thisbottomragged{\def\@textbottom{\vskip\z@ plus.0001fil
\global\let\@textbottom\relax}}
\pagestyle{headings}
\pagenumbering{arabic}
\if@twocolumn
   \twocolumn
\fi
\if@referee
   \makereferee
\fi
\flushbottom
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%CLASS OPTION LPL - Laser Physics Letters
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%\ProvidesFile{lpl1.clo}
%              [1997/08/01 v1.0
%      style option for Laser Physics Letters]
%\typeout{^^JClass option: LPL.clo for^^JLaser Physics Letters}
%
\let\if@mathematic\iffalse
% No size changing allowed, hence a copy of size10.clo is included
\def\normalsize{%
   \@setfontsize\normalsize\@xpt{10.5dd}%
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\def\small{%
   \@setfontsize\small\@ixpt{10dd}%
   \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \parsep 0\p@ \@plus1\p@ \@minus\p@
               \topsep 8\p@ \@plus2\p@ \@minus4\p@
               \itemsep0\p@}%
   \belowdisplayskip \abovedisplayskip
}
\let\footnotesize\small
\def\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\def\tiny{\@setfontsize\tiny\@vpt\@vipt}
\def\large{\@setfontsize\large\@xiipt{13dd}}
\def\Large{\@setfontsize\Large\@xivpt{15dd}}
\def\LARGE{\@setfontsize\LARGE\@xviipt{17dd}}
\def\huge{\@setfontsize\huge\@xxpt{25}}
\def\Huge{\@setfontsize\Huge\@xxvpt{30}}
%

\setlength{\textwidth}{170mm}
\setlength{\textheight}{255mm}
%
\def\laserrunnhead{%
    \def\\{\unskip\ \ignorespaces}\def\inst##1{\unskip{}}%
    \def\thanks##1{\unskip{}}\def\fnmsep{\unskip}%
    \instindent=\textwidth
    \advance\instindent by-\headlineindent
    \if!\the\titlerunning!\else
      \edef\@title{\the\titlerunning}%
    \fi
    \global\setbox\titrun=\hbox{\small\rm\unboldmath\ignorespaces\@title}%
    \ifdim\wd\titrun>\instindent
       \typeout{^^JWarning: Title too long for running head.}%
       \typeout{Please supply a shorter form with \string\titlerunning
                \space prior to \string\maketitle}%
       \global\setbox\titrun=\hbox{\small\rm
       Title Suppressed Due to Excessive Length}%
    \fi
    \xdef\@title{\copy\titrun}%
%
    \if!\the\authorrunning!
    \else
      \setcounter{auth}{1}%
      \edef\@author{\the\authorrunning}%
    \fi
    \ifnum\value{auth}>2
       \def\stripauthor##1\and##2\endauthor{%
       \protected@xdef\@author{##1\unskip\unskip\if!##2!\else\ et al.\fi}}%
       \expandafter\stripauthor\@author\and\endauthor
    \else
       \gdef\and{\unskip, \ignorespaces}%
       {\def\and{\noexpand\protect\noexpand\and}%
       \protected@xdef\@author{\@author}}
    \fi
    \global\setbox\authrun=\hbox{\small\unboldmath\ignorespaces
                                 \@author\unskip: \unhbox\titrun}%
    \ifdim\wd\authrun>\instindent
    \typeout{^^JWarning: The running head built automatically from
             \string\author\space and \string\title
             ^^Jexceeds the pagewidth, please supply a shorter form
             ^^Jwith \string\authorrunning\space and
             \string\titlerunning\space prior to \string\maketitle}%
    \global\setbox\authrun=\hbox{\small\rm Please give a shorter version
          with: {\tt\string\authorrunning\space and
             \string\titlerunning\space prior to \string\maketitle}}%
    \fi
    \xdef\@author{\copy\authrun}%
    \markboth{\@author}{\@author}%
}
%
\def\biography#1{\par\addvspace{21dd}\small\noindent
{\bfseries#1\unskip\ }\ignorespaces}
\def\endbiography{\par\addvspace{12pt}}

\def\biographyps#1#2{%
\begingroup
\endgraf
\skip0=0pt plus2cm
\advance\skip0 by2\bigskipamount\relax
\vskip\skip0
\small
\setbox0=\vbox\bgroup\def\par{\hfil\break}%
               \sloppy
               \noindent
               \hangindent=113pt
               %\hangafter=-16\relax alt
               \hangafter=-14\relax %neu
               \smash{\raise 6.5pt
                      \llap{\vbox to0pt{\psfig{height=5truecm,%
                                               width=3.6truecm,#1}%
                                        \vss}\kern11pt}}%
               %\vrule height\topskip width0pt
               \if!#2!\else{\sc\ignorespaces#2\/} \fi
               \ignorespaces}
%
\def\endbiographyps{\egroup
\dimen0=\ht0\advance\dimen0 by\dp0
\ifdim\dimen0<5cm
   \vtop to5cm{\box0\vss}
\else
   {\splittopskip=0pt
   \splitmaxdepth=\maxdepth
   \vbadness=10000
   \setbox1=\vsplit0 to 139.153dd
   \vtop{\box1}%
   \vskip-\prevdepth
   \unvbox0
   \endgraf}
\fi
\endgroup}
% 
\newcommand*{\missinginit}[2]{%
  \ClassWarningNoLine{issue}{%
    Missing initialization of #1.\MessageBreak
    You may do the initialization using\MessageBreak
    \string#2\string{...\string}%
  }%
}

\newcommand*{\theyear}{\missinginit{year}{\setyear}\def\theyear{??}\theyear}
\newcommand*{\setyear}[1]{\def\theyear{#1}}
\setyear{\the\year}
\newcommand*{\pages}{%
  \missinginit{page range}{\setpages[...]}\def\pages{??--??}\pages}
\newcommand*{\setpages}[2][]{%
  \ifx\relax#1\relax
    \def\pages{\thepage--#2}%
  \else
    \setcounter{page}{#1}\def\pages{#1--#2}%
  \fi
}
\newcommand*{\showpages}{\space}

\newcommand*{\thevol}{%
  \missinginit{volume number}{\setvolume}\def\thevol{??}\thevol}
\newcommand*{\setvolume}[2][]{%
  \ifx\relax#1\relax\else\setnumber{#1}\fi
  \def\thevol{#2}
}

\newcommand*{\thenumber}{%
  \missinginit{number at volume}{\setvolume[...]\string{...\string} or
    \string\setnumber}\def\thenumber{??}\thenumber}
\newcommand*{\setnumber}[1]{\def\thenumber{#1}}

\newcommand*{\thedoi}{%
  \missinginit{DOI number}{\setdoi}\def\thedoi{??}\thedoi}
\newcommand*{\setdoi}[1]{\def\thedoi{#1}}

%
%\AtEndOfClass{%
\let\if@runhead\iftrue
\let\ProcessRunnHead=\relax%\lplrunnhead%%%%hhh
\if@finallayout
  \def\copyrightmark{%
    {%
      \fontsize{6}{7.2pt}\selectfont
      \mbox{\begin{tabular}{@{}l@{}}
        \textcopyright\ \theyear\ by Astro Ltd.\\
  Published exclusively by WILEY-VCH Verlag GmbH \& Co.
  KGaA\end{tabular}
      }%
    }%
  }
  \def\thelogo{\includegraphics[height=5.5mm]{wislogo}}% -MWL- 2006-08-28
  \def\wwwmarkbot{www.lphys.org}%HHH
\else%@finallayout
  \def\copyrightmark{\raisebox{5mm}{\normalfont\fontsize{6}{7\p@}\normalfont%
    \hfil Copyright line will be provided by the publisher}}
  \let\thelogo\@empty
  \let\wwwmarkbot\@empty    
\fi%@finallayout
\def\wwwmarktop{~/~{\bf DOI} 10.1002/\abbr@journalname.\thedoi}%hhh
%%%
\def\ps@default{%
  \def\@oddhead{%
      \vbox to \headheight{\vss\baselineskip=3pt
        \hbox to\textwidth{%
          \small 
          \short@journalname 
          \volnumheadmark
          \showpages
          (\theyear)%
          \hfill
          \smash{\@journallogo}%hhh
          \quad\hbox to 2em{\hfill\thepage}}%
        \leavevmode\lower2pt\rlap{\hbox to\textwidth{\hrulefill}}%
    }%
  }%
  \def\@evenhead{\small%
    \hbox to\textwidth{%
      \vbox to \headheight{\vss\baselineskip=3pt
        \hbox to\textwidth{%
          \hbox to 2em{\thepage\hfill}\quad
          \smash{\@journallogo}%hhh
          \hfill
          \if!\the\authorrunning! \else\the\authorrunning:~\fi%%-MWL- 2008-08-15
          \the\titlerunning
        }%
        \leavevmode\lower2pt\hbox to\textwidth{\hrulefill}%
      }%
    }%
  }%
  \def\@oddfoot{%
    \vbox to 0pt{%
      \ifdim\raisefoot=0pt\else\vskip\raisefoot\fi% MJK 2005-11-18
      \vskip-\baselineskip\footfontsize\baselineskip=0pt\relax
      \vskip\normalbaselineskip
      \hbox to\textwidth{\hrulefill}\vskip\dp\strutbox
      \hbox to 0pt{%
        \rlap{\hbox to \textwidth{\strut\leftfootmark\hss}}%
        \rlap{\hbox to \textwidth{\hss \strut\midfootmark\hss}}%
        \rlap{\hbox to \textwidth{\hss \strut
            \ifdim\raisefoot=0pt\else% MJK 2005-11-18
              \expandafter\raise\expandafter\raisefoot% MJK 2005-11-18
            \fi% MJK 2005-11-18
            \hbox{\rightfootmark}% MJK 2005-11-18
          }}%
      }%
      \vss%
    }%
  }%
  \def\@evenfoot{%
    \vbox to 0pt{%
      \ifdim\raisefoot=0pt\else\vskip\raisefoot\fi% MJK 2005-11-18
      \vskip-\baselineskip\footfontsize\baselineskip=0pt\relax
      \vskip\normalbaselineskip
      \hbox to\textwidth{\hrulefill}\vskip\dp\strutbox
      \hbox to 0pt{%
        \rlap{\hbox to \textwidth{\strut
            \ifdim\raisefoot=0pt\else% MJK 2005-11-18
              \expandafter\raise\expandafter\raisefoot% MJK 2005-11-18
            \fi% MJK 2005-11-18
            \hbox{\rightfootmark}% MJK 2005-11-18
            \hss}}%
        \rlap{\hbox to \textwidth{\hss\strut\midfootmark\hss}}%
        \rlap{\hbox to \textwidth{\hss\strut\leftfootmark}}%hhh
      }\vss%
    }%
  }%
}% end ps@default
\newcommand*{\raisefoot}{}\let\raisefoot\z@% MJK 2005-11-18
\def\corresponding#1{\g@addto@macro\@maketitle{\thispagestyle{firstpage}}%
  \def\ps@firstpage{%
    \def\raisefoot{-1\normalbaselineskip}% MJK 2005-11-18
    \def\leftfootmark{#1}%
    \def\showpages{, \pages\ }%
    \global\voffset=15mm% -MWL- 2006/19/24
    \if@finallayout
      \def\@oddhead{%
        \vbox to \headheight{\vss\baselineskip=3pt
          \hbox to\textwidth{\earlyview@mark%
            \begin{picture}(0,0)%
              \put(0,-725){%
                \thelogo}%
            \end{picture}%
            \small 
            \short@journalname 
            \volnumheadmark
            \showpages
            (\theyear)
            \wwwmarktop\hfill%Alt(war~oben)
            \hfill
            \smash{\@journallogo}%hhh
            \quad\hbox to 2em{\hfill\thepage}}%
          \leavevmode\lower2pt\rlap{\hbox to\textwidth{\hrulefill}}%
        }%
      }%
      \def\@evenhead{%
        \vbox to \headheight{\vss\baselineskip=3pt
          \hbox to\textwidth{%
            \begin{picture}(0,0)%
              \put(0,-725){%
                \thelogo}%
            \end{picture}%
            \hbox to 2em{\thepage\hfill}\quad
            \smash{\@journallogo}%hhh
            \hfill
            \small
            \short@journalname 
            \volnumheadmark
            \showpages
            (\theyear)
            \wwwmarktop%Alt(war~oben)
            }%
          \leavevmode\lower2pt\rlap{\hbox to\textwidth{\hrulefill}}%
        }%
      }%
    \else%@finallayout
      \def\@oddhead{%
        \vbox to \headheight{\vss\baselineskip=3pt
          \hbox to\textwidth{%
            \small \long@journalname, \today
            \hfill
            \smash{\@journallogo}%hhh
            \quad\hbox to 2em{\hfill\thepage}}%
          \leavevmode\lower2pt\rlap{\hbox to\textwidth{\hrulefill}}%
        }%
      }%
      \def\@evenhead{%
        \vbox to \headheight{\vss\baselineskip=3pt
          \hbox to\textwidth{%
            \hbox to 2em{\thepage\hfill}\quad
            \smash{\@journallogo}%hhh
            \hfill
            \small \long@journalname, \today
            }%
          \leavevmode\lower2pt\rlap{\hbox to\textwidth{\hrulefill}}%
        }%
      }%
    \fi%@finallayout
      \let\@evenfoot\@oddfoot
  }% def ps@firstpage
}%%% end \corresponding
\def\rightfootmark{{\lower6mm\hbox{%%%%hhh
  \copyrightmark}}}
\def\leftfootmark{\smash{\lower7mm\hbox{\fontsize{8}{9}\selectfont\textbf{\wwwmarkbot}}}}%
\def\midfootmark{}%
\def\footfontsize{\small}
\corresponding{$^\ast$\,\mailname\ \ignorespaces\@mail}%
\ps@default
\setlength{\topmargin}{-1in}%
\addtolength{\topmargin}{1cm}%
\setlength{\textwidth}{17cm}%%%hhh
%\setlength{\textheight}{257.23mm}% 57cc = 257.23mm
\setlength{\textheight}{244.23mm}% 57cc = 257.23mm
\addtolength{\textheight}{-2\baselineskip}% - foot (without copyright)
% typearea correction: n * \baselineskip + \topsep (to avoid underfull \vbox)
\setlength{\@tempdima}{\textheight}
\divide\@tempdima by\baselineskip
\multiply\@tempdima by\baselineskip
\setlength{\topskip}{\textheight}
\addtolength{\topskip}{-\@tempdima}
\addtolength{\topskip}{\baselineskip}% min. \topskip
\addtolength{\textheight}{-\baselineskip}
% odd and even margin (1:2)
\setlength{\oddsidemargin}{210mm}
\addtolength{\oddsidemargin}{-\textwidth}
\divide\oddsidemargin by 3
\setlength{\evensidemargin}{2\oddsidemargin}
\addtolength{\oddsidemargin}{-1in}
\addtolength{\evensidemargin}{-1in}
%
\def\section{\@startsection{section}{1}{\z@}%
    {-21dd plus-4pt minus-4pt}{10.5dd plus 4pt
     minus4pt}{\large\bfseries}}
\def\subsection{\@startsection{subsection}{2}{\z@}%
    {-21dd plus-4pt minus-4pt}{10.5dd plus 4pt
     minus4pt}{\large\itshape}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}%
    {-21dd plus-4pt minus-4pt}{10.5dd plus 4pt
     minus4pt}{\normalsize\normalfont}}
\def\paragraph{\@startsection{subsubsection}{4}{\z@}%
    {-21dd plus-4pt minus-4pt}{-1pt}{\normalsize}}
\def\sectcounterend{.}
\def\@thmcounterend{.}
\let\remark\relax
\let\proof\relax
\spnewtheorem*{remark}{Remark}{\itshape}{\rm}
\spnewtheorem*{proof}{Proof\runinend}{\itshape}{\rm}
\def\claimname{Claim}{\itshape}{\rm}
\def\proofname{Proof}{\itshape}{\rm}
%}

\def\titlefont{\fontsize{18}{23pt}\sffamily} %Helvetica (Test3)
\renewcommand\@biblabel[1]{[#1]\ }
%%
%% End of copy of file `lpl.clo'.
\endinput
%%
%% End of file `issue.cls'.
